{% extends "base.html" %}

{% block content %}
    <section id="container">
        <div class="wrap-container zerogrid">
            <div class="crumbs">
                <ul>
                    <li><a href="/index">Главная</a></li>
                    <li><a href="/contact">Контакты</a></li>
                </ul>
            </div>
            <div id="main-content">
                <div class="row">
                    <h1 class="t-center" style="margin: 40px 0;color: #212121;letter-spacing: 2px;font-weight: 500;">Как
                        связаться</h1>

                    <!--Start Map-->
                    <div id="map" style="height: 450px;"></div>
                    <!--End Map-->

                    <div class="col-1-3">
                        <div class="wrap-col">
                            <h3 style="margin: 20px 0">Контактная информация</h3>
                            <strong>НАША КОМПАНИЯ ВСЕГДА РАДА ВАШИМ ЗВОНКАМ, ПРИ НЕОБХОДИМОСТИ МОЖЕТЕ ЗАПОЛНИТЬ ФОРМУ И
                                МЫ ОБЬЯЗАТЕЛЬНО ВАМ ПОЗВОНИМ.</strong>
                            <p>Наш адресс: <br>
                                Прекрасный город Одесса ул. ...</p>
                            <p>067 4837 226 Анатолий</p>
                            <p>067 1445 119 Игорь</p>
                            <p>097 2856 577 Александр</p>

                            <p>bykov7640@gmail.com</p>
                        </div>
                    </div>
                    <div class="col-2-3">
                        <div class="wrap-col">
                            <div class="contact">
                                <h3 style="margin: 20px 0 20px 30px">Форма отправки</h3>
                                <div id="contact_form">
                                    <form name="form1" id="ff" method="post">{% csrf_token %}
                                        <label class="row">
                                            <div class="col-1-2">
                                                <div class="wrap-col">
                                                    <input type="text" name="name" id="name"
                                                           placeholder="Введите Ваше имя" required="required"/>
                                                </div>
                                            </div>
                                            <div class="col-1-2">
                                                <div class="wrap-col">
                                                    <input type="phone" name="email" id="email"
                                                           placeholder="Введите Ваш номер телфона" required="required"/>
                                                </div>
                                            </div>
                                        </label>
                                        <label class="row">
                                            <div class="col-full">
                                                <div class="wrap-col">
                                                    <input type="text" name="subject" id="subject" placeholder="Тема"
                                                           required="required"/>
                                                </div>
                                            </div>
                                        </label>
                                        <label class="row">
                                            <div class="wrap-col">
													<textarea name="message" id="message" class="form-control" rows="4"
                                                              cols="25" required="required"
                                                              placeholder="Сообщение"></textarea>
                                            </div>
                                        </label>
                                        <center><input class="sendButton" type="submit" name="submitcontact"
                                                       value="Отправить"></center>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Google Map -->
    <script>
    var marker;
    var image = 'images/map-marker.png';

    function initMap() {
        var myLatLng = {lat: 46.46, lng: 30.74};

        // Specify features and elements to define styles.
        var styleArray = [
            {
                featureType: "all",
                stylers: [
                    {saturation: -80}
                ]
            }, {
                featureType: "road.arterial",
                elementType: "geometry",
                stylers: [
                    {hue: "#000000"},
                    {saturation: 50}
                ]
            }, {
                featureType: "poi.business",
                elementType: "labels",
                stylers: [
                    {visibility: "off"}
                ]
            }
        ];

        var map = new google.maps.Map(document.getElementById('map'), {
            center: myLatLng,
            scrollwheel: false,
            // Apply the map style array to the map.
            styles: styleArray,
            zoom: 7
        });

        var directionsDisplay = new google.maps.DirectionsRenderer({
            map: map
        });

        // Create a marker and set its position.
        marker = new google.maps.Marker({
            map: map,
            icon: image,
            draggable: true,
            animation: google.maps.Animation.DROP,
            position: myLatLng
        });
        marker.addListener('click', toggleBounce);
    }

    function toggleBounce() {
        if (marker.getAnimation() !== null) {
            marker.setAnimation(null);
        } else {
            marker.setAnimation(google.maps.Animation.BOUNCE);
        }
    }
    </script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB7V-mAjEzzmP6PCQda8To0ZW_o3UOCVCE&callback=initMap"
            async defer></script>

{% endblock %}